/*****************************************************************************
* Catalyst F400Z Sample Codes
* GPIO Blinky Sample
* Version : 1.0.0
* R&D : Digitronic.ir Team			12/02/16
* www.ECA.ir
* www.Eshop.ECA.ir
* www.Forum.ECA.ir
*****************************************************************************/

#include "stm32f4xx.h"
#include "delay.h"

GPIO_InitTypeDef  GPIO_InitStructure;

int main(void)
{
	RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOC, ENABLE);

	/* Configure PC0 in output pushpull mode */
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;
	GPIO_Init(GPIOC, &GPIO_InitStructure);
	
	while (1)
	{
		/* Set PC0 */
		GPIOC->BSRRL = GPIO_Pin_0;
		delay_ms(500);
		
		/* Reset PC0 */
		GPIOC->BSRRH = GPIO_Pin_0;
		delay_ms(500);	
	}
}
